FLANG

Classes | Public Member Functions | List of all members
Fortran::parser::Prescanner Class Reference

## Public Member Functions
| Prescanner (Messages &, CookedSource &, Preprocessor &, common::LanguageFeatureControl)
| Prescanner (const Prescanner &)
Messages & | messages () const
Prescanner & | set_fixedForm (bool yes)
Prescanner & | set_encoding (Encoding code)
Prescanner & | set_fixedFormColumnLimit (int limit)
Prescanner & | AddCompilerDirectiveSentinel (const std::string &)
void | Prescan (ProvenanceRange)
void | Statement ()
void | NextLine ()
bool | IsAtEnd () const
bool | IsNextLinePreprocessorDirective () const
TokenSequence | TokenizePreprocessorDirective ()
Provenance | GetCurrentProvenance () const
template<typename... A>
Message & | Say (A &&... a)

The documentation for this class was generated from the following files:

- lib/Parser/prescan.h
- lib/Parser/prescan.cpp